mtext_deserialize(3m17n)

NAME
mtext_deserialize - Deserialize text properties in an M-text.

SYNOPSIS
MText* mtext_deserialize (MText * mt)

DESCRIPTION
Deserialize text properties in an M-text.

The mtext_deserialize() function deserializes M-text mt. mt must be an XML having the following DTD.

<!DOCTYPE mtext [
  <!ELEMENT mtext (property*,body+)>
  <!ELEMENT property EMPTY>
  <!ELEMENT body (#PCDATA)>
  <!ATTLIST property key CDATA #REQUIRED>
  <!ATTLIST property value CDATA #REQUIRED>
  <!ATTLIST property from CDATA #REQUIRED>
  <!ATTLIST property to CDATA #REQUIRED>
  <!ATTLIST property control CDATA #REQUIRED>
 ]>

This function depends on the libxml2 library. If the m17n library is configured without libxml2, this function always fail.

RETURN VALUE

    If the operation was successful, mtext_deserialize() returns the resulting M-text. Otherwise it returns NULL and assigns an error code to the external variable merror_code.

SEE ALSO

    mtext_serialize(), Mtext_prop_deserializer

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.